summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorJames Rayner <james@archlinux.org>2009-09-07 12:07:48 +0200
committerJames Rayner <james@archlinux.org>2009-09-07 12:07:48 +0200
commit9ddad8ae8d3f093db4474165a9e2d46d8dc08767 (patch)
treeeb39e17dd3ca14553d188baa8d3673c1db22cbe1 /contrib
parent6b0c686613a26541ce3164d9e995f639ef3a9b9f (diff)
downloadnetctl-9ddad8ae8d3f093db4474165a9e2d46d8dc08767.tar.gz
netctl-9ddad8ae8d3f093db4474165a9e2d46d8dc08767.tar.xz
add an improved pm-utils handler
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/11netcfg44
1 files changed, 44 insertions, 0 deletions
diff --git a/contrib/11netcfg b/contrib/11netcfg
new file mode 100755
index 0000000..9a453d9
--- /dev/null
+++ b/contrib/11netcfg
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+source /usr/lib/pm-utils/functions
+source /etc/pm/config.d/netcfg
+
+suspend_netcfg() {
+ case $NETCFG_SUSPEND in
+ daemons)
+ stopservice net-profiles
+ stopservice net-auto
+ ;;
+ retain|*)
+ netcfg all-suspend
+ ;;
+ esac
+}
+
+resume_netcfg() {
+ case $NETCFG_SUSPEND in
+ daemons)
+ restartservice net-profiles
+ restartservice net-auto
+ ;;
+ retain|*)
+ netcfg all-resume
+ ;;
+ esac
+}
+
+if [ -x /usr/bin/netcfg2 ]; then
+ case "$1" in
+ hibernate|suspend)
+ suspend_netcfg
+ ;;
+ thaw|resume)
+ resume_netcfg
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+exit $?
+